@import "variables";
@import "fonts";

body {
  font-family: "Helvetica Neue LT Pro", sans-serif;
  font-style: normal;
  font-weight: 300;
  font-size: 14px;
  line-height: 20px;
  color: $black;
}

.fw-bold {
  font-family: "Helvetica Neue LT Pro Bd", sans-serif;
}

.bg-cx {
  background-image: url("#{$directory_uri}/static/bg-cx.jpg");
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
}

.bg-lineas {
  background-image: url("#{$directory_uri}/static/bg-lineas.jpg");
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
}

.bg-indices {
  background-image: url("#{$directory_uri}/static/bg-indices.jpg");
}

.bg-estructura {
  background-image: url("#{$directory_uri}/static/bg-estructura-servicios.jpg");
}

.bg-cx-color {
  background-color: $red-light;
}

.bg-lineas-color {
  background-color: $orange;
}

.menu-cx {
  font-size: 20px;
  text-transform: uppercase;
  height: 100%;
  line-height: 24px;
  border-left: 2px solid $gray;
  padding-left: 15px;

  .normal {
    font-size: 12px;
    letter-spacing: 0em;
  }

  a {
    color: $black;
    text-decoration: none;
    &:hover,
    &.active {
      color: $red-light;
    }
  }
}

.menu-lineas {
  font-size: 20px;
  text-transform: uppercase;
  height: 100%;
  line-height: 24px;
  border-left: 2px solid $gray;
  padding-left: 15px;

  .normal {
    font-size: 12px;
    letter-spacing: 0em;
  }

  a {
    color: $black;
    text-decoration: none;
    &:hover,
    &.active {
      color: $orange;
    }
  }
}

.cx-figure {
  width: 498px;
  height: 380px;
  border: 4px solid #DF605C;
  div {
    width: 90%;
    height: 98%;
    transform: translate(5px, -50px);
  }
}

.lineas-figure {
  width: 498px;
  height: 380px;
  border: 4px solid $orange;
  div {
    width: 90%;
    height: 98%;
    transform: translate(5px, -50px);
  }
}

.screen {
  height: 100vh;
}

/*
	Fondos inicio
*/
.bg-image-test {
  background-image: url("#{$directory_uri}/static/figure-ipad-62.jpg");
}

.estructura {
  background: linear-gradient(0deg, rgba(251, 251, 251, 0.85), rgba(251, 251, 251, 0.85)),
  url("#{$directory_uri}/static/estructura.png");
  background-size: cover;
}

.lineas {
  background: linear-gradient(0deg, rgba(251, 251, 251, 0.85), rgba(251, 251, 251, 0.85)),
  url("#{$directory_uri}/static/lineas.png");
  background-size: cover;
}

.cx {
  background: linear-gradient(0deg, rgba(251, 251, 251, 0.85), rgba(251, 251, 251, 0.85)),
  url("#{$directory_uri}/static/cx.png");
  background-size: cover;
}

.indices {
  background: linear-gradient(0deg, rgba(251, 251, 251, 0.85), rgba(251, 251, 251, 0.85)),
  url("#{$directory_uri}/static/indices.png");
  background-size: cover;
}

.estructura:hover {
  background: url("#{$directory_uri}/static/estructura.png"), $yellow;
  background-size: cover;
  background-blend-mode: multiply;
  & {
    a {
      color: $white;
    }
    .bg-gray {
      background-color: $white;
      color: $yellow !important;
    }
  }
}

.lineas:hover {
  background: url("#{$directory_uri}/static/lineas.png"), $orange;
  background-size: cover;
  background-blend-mode: multiply;
  & {
    a {
      color: $white;
    }
    .bg-gray {
      background-color: $white;
      color: $orange !important;
    }
  }
}

.cx:hover {
  background: url("#{$directory_uri}/static/cx.png"), $red;
  background-size: cover;
  background-blend-mode: multiply;
  & {
    a {
      color: $white;
    }
    .bg-gray {
      background-color: $white;
      color: $red !important;
    }
  }
}

.indices:hover {
  background: url("#{$directory_uri}/static/indices.png"), $cyan;
  background-size: cover;
  background-blend-mode: multiply;
  & {
    a {
      color: $white;
    }
    .bg-gray {
      background-color: $white;
      color: $cyan !important;
    }
  }
}

/*
	Colores de background
*/
.bg-grey {
  background-color: $grey;
}

.bg-gray {
  background-color: $gray;
}

.bg-gray2 {
  background-color: $gray2;
}

.bg-yellow {
  background-color: $yellow;
}

.bg-orange {
  background-color: $orange;
}

.bg-white-outline {
  color: $white;
  border: 1px solid $white;
  min-height: 175px;
}

.bg-red {
  background-color: $red;
}

.bg-cyan {
  background-color: $cyan;
}

.bg-med-yellow {
  background: linear-gradient(to right, white 0%, white 68%, $yellow 68%, $yellow 100%);
}

.bg-med-orange {
  background: linear-gradient(to right, white 0%, white 68%, $orange 68%, $orange 100%);
  background-size: cover;
}

.bg-med-red {
  background: linear-gradient(to right, white 0%, white 68%, $red 68%, $red 100%);
}

.bg-med-cyan {
  background: linear-gradient(to right, white 0%, white 68%, $cyan 68%, $cyan 100%);
}

.bg-tecnimovil {
  background-image: url("#{$directory_uri}/static/tecnimovil.jpg");
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  background-attachment: scroll;
}

.bg-1800 {
  background-image: url("#{$directory_uri}/static/1800-ayuda.jpg");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
}

.bg-1800-2 {
  background-image: url("#{$directory_uri}/static/1800-ayuda-1.jpg");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
}

.bg-acordion {
  background-color: $grey;
  border-radius: 8px;
}

.bg-cercania {
  background-image: url("#{$directory_uri}/static/cercania.jpg");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
}

.bg-facilidad {
  background-image: url("#{$directory_uri}/static/facilidad.jpg");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
}

.bg-respaldo {
  background-image: url("#{$directory_uri}/static/respaldo.jpg");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
}

.bg-transparencia {
  background-image: url("#{$directory_uri}/static/transparencia.jpg");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
}

.bg-innovacion {
  background-image: url("#{$directory_uri}/static/innovacion.jpg");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
}

.bg-menu-lineas {
  background-image: url("#{$directory_uri}/static/menu-lineas-negocios.jpg");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
}

.bg-menu-cx {
  background-image: url("#{$directory_uri}/static/menu-cx-tecniseguros.jpg");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
}

/*
	Colores de tipografía
*/

.text-gray {
  color: $gray;
}

.text-gray2 {
  color: $gray2;
}

.text-yellow {
  color: $yellow;
}

.text-orange {
  color: $orange;
}

.text-black {
  color: $black;
}

.text-red {
  color: $red;
}

.text-cyan {
  color: $cyan;
}

/*
	Tamaño de tipografías
*/
.f-16 {
  font-size: 16px;
  line-height: normal;
}

.f-18 {
  font-size: 18px;
  line-height: normal;
}

.f-20 {
  font-size: 20px;
  line-height: normal;
}

.f-22 {
  font-size: 22px;
  line-height: normal;
}

.f-24 {
  font-size: 24px;
  line-height: normal;
}

.f-26 {
  font-size: 26px;
  line-height: normal;
}

.f-30 {
  font-size: 30px;
  line-height: normal;
}

.f-40 {
  font-size: 40px;
  line-height: normal;
}

.f-56 {
  font-size: 56px;
  line-height: normal;
}

.f-65 {
  font-size: 65px;
  line-height: normal;
}

.f-88 {
  font-size: 88px;
  line-height: normal;
}

.f-title {
  font-size: 5vw;
  line-height: normal;
}

.f-title-small {
  font-size: 4vw;
  line-height: normal;
}

/*
	Bordes
*/
.border-gray {
  border: 1px solid $gray;
}

a {
  text-decoration: none;
  color: gray;
}

a:hover:is(.text-red) {
  color: $gray;
}

a:hover:is(.text-orange) {
  color: $gray;
}

p {
  padding: 1px;
  margin: 1px;
}

.accordion-button:not(.collapsed) {
  color: $red;
  background-color: #fff;
  box-shadow: inset 0 0 0 rgba(0, 0, 0, 0.125);
}

.bg-acordion:not(.collapsed) {
  background-color: $pink;
  color: $red !important;
}

.button:is(.collapse) {
  color: $red !important;
  background-color: #fff;
  box-shadow: inset 0 0 0 rgba(0, 0, 0, 0.125);
}

.carousel-indicators [data-bs-target] {
  box-sizing: content-box;
  flex: 0 1 auto;
  width: 10px;
  height: 10px;
  border-radius: 100%;
  padding: 0;
  margin-right: 3px;
  margin-left: 3px;
  text-indent: -999px;
  cursor: pointer;
  background-color: $black;
  border-color: $black;
  background-clip: padding-box;
  border: 2px solid $black;
  transition: opacity 0.6s ease;
}

.menu-indice, .menu-estructura {
  width: 200px;
  a:hover {
    color: #23BAB0;
  }
  .figure {
    height: 187px;
    &.financiero {
      background-image: url("#{$directory_uri}/static/menu-financiero.png");
    }
    &.financiero:hover {
      background-image: url("#{$directory_uri}/static/menu-financiero-color.png");
    }
    &.cliente {
      background-image: url("#{$directory_uri}/static/menu-nuestros-clientes.png");
    }
    &.cliente:hover {
      background-image: url("#{$directory_uri}/static/menu-nuestros-clientes-color.png");
    }
    &.institucional {
      background-image: url("#{$directory_uri}/static/menu-respaldo.png");
    }
    &.institucional:hover {
      background-image: url("#{$directory_uri}/static/menu-respaldo-color.png");
    }
    &.ranlink {
      background-image: url("#{$directory_uri}/static/menu-ranking.png");
    }
    &.ranlink:hover {
      background-image: url("#{$directory_uri}/static/menu-ranking-color.png");
    }
  }
}

.menu-estructura {
  .figure {
    background-color: #F2F2F2;
    &:hover {
      background-color: #E88D3C;
    }
  }
  a:hover {
    color: #E88D3C !important;
    path {
      fill: #fff;
    }
  }
}

.menu-indice-financiero {
  div:hover, .active {
    color: $cyan;
    cursor: pointer;
    font-weight: bold;
  }
}

.figure-indice-financiero .img {
  height: 500px;
  width: auto;
}

.bg-respaldo-institucional {
  background-image: url("#{$directory_uri}/static/bg-respaldo-institucional.jpg");
  background-size: cover;
}

.border-cyan {
  border: 1px solid $cyan;
}

.border-tab {
  border-radius: 1px 1px 3px 3px;
}

.border-tab-title {
  border-radius: 3px 3px 1px 1px;
}

.bg-gray-ranking {
  background-color: #E0E0E0 !important;
}

.bg-mision-vision-figure {
  background-image: url("#{$directory_uri}/static/figure-mision-vision-adn.jpg");
  background-size: cover;
  background-position: center;
}

.bg-grey-light {
  background-color: #F2F2F2;
}

.btn-mision-vision {
  &:hover, &.active {
    background-color: $yellow;
    color: #fff;
    cursor: pointer;
    path {
      fill: #fff;
    }
  }
}

.carousel-indicators {
  position: absolute;
  margin-right: 0%;
  margin-left: 0%;
}

.height-banner {
  max-height: 310px;
}

.h-90 {
  height: 90%;
}

.h-80 {
  height: 80%;
}

.h-20 {
  height: 20%;
}

.h-10 {
  height: 10%;
}

tr:hover {
  color: $orange;
}

.content-est-vision {
  height: 470px;
  width: 440px;
  background-image: url("#{$directory_uri}/static/estructura-vision.png");
  background-size: 100%;
  background-position: bottom;
  .link:hover, .link.active {
    color: $yellow;
    cursor: pointer;
  }
}

.text-est-vision {
  position: absolute;
  bottom: 29px;
  left: 175px;
}

.bg-estructura-servicios {
  background-image: url("#{$directory_uri}/static/bg-estructura-servicios-screen.jpg");
}

.bg-mision-vision-adn {
  background-image: url("#{$directory_uri}/static/bg-mision-vision-adn.jpg");
  color: #fff;
  .icon path {
    fill: #fff;
  }
}

.pointer-map {
  &:hover {
    cursor: pointer;
    image {
      //border: 1px solid red;
      //background-color: red;
      opacity: 0.5;
    }
  }
}

.content-ciudad {
  background: #FAFAFA;
  box-shadow: 0px 0px 16px rgba(232, 141, 60, 0.25);
  border-radius: 8px;
  width: 260px;
  //height: 128px;
}

.marca {
  background: #E88D3C;
  border-radius: 12px;
  width: auto;
  height: 24px;
  font-weight: bold;
}

.bg-indices-financiero {
  background-image: url("#{$directory_uri}/static/bg-indices-financieros.jpg");
}

.bg-green-indices-financieros {
  background-color: #FBFBFB;
}

.text-green {
  color: $green;
}

.content-lineas-negocio {
  text-align: center;
  color: $white;
}

.text-justify {
  text-align: justify;
}

#adn .title {
  width: 100px;
}
.bg-1800-slide {
  background-size: contain;
  background-position: center;
}